function init(hero) {
    hero.setName("Thanos");
    hero.setTier(9);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
	
    hero.addPowers("tgheroes:titan");
	hero.addKeyBind("BLADE", "Draw Sword", 1);
	
    hero.addAttribute("PUNCH_DAMAGE", 16.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 6.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
	hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
	hero.addAttribute("MAX_HEALTH", 8.0, 0);
	hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 2);
	hero.setDefaultScale(1.7); 
	
	hero.addAttributeProfile("BLADE", swordProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 2.0}});	
}

function swordProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 18, 0);
	profile.addAttribute("REACH_DISTANCE", 1.5, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}
